#include "StdAfx.h"
#include "ThreeImageLayout.h"

namespace tipuio {

REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("ThreeImageLayout"), ThreeImageLayout);
void ThreeImageLayout::LayoutContainer(CContainer* pContainer)
{
	__super::LayoutContainer(pContainer);

	CRect rcClient;
	pContainer->GetDrawingBounds(&rcClient);
	if (rcClient.Width() <= 0 || rcClient.Height() <= 0) return ;

	CSize sLeft(0);
	CSize sRight(0);
	CSize sCenter(0);

	CComponent* pLeftBar = pContainer->FindName(_T("left"));
	if ( NULL != pLeftBar )
	{
		if (TRUE == pLeftBar->GetPreferredSize(&sLeft))
		{
			pLeftBar->SetActualBound(0, 0, sLeft.cx, sLeft.cy);
		}
	}

	CComponent* pRightBar = pContainer->FindName(_T("right"));
	if ( NULL != pRightBar )
	{
		if (TRUE == pRightBar->GetPreferredSize(&sRight))
		{
			pRightBar->SetActualBound(rcClient.Width() - sRight.cx, 0, sRight.cx, sRight.cy);
		}
	}

	CComponent* pCenterBar = pContainer->FindName(_T("center"));
	if ( NULL != pCenterBar )
	{
		if (TRUE == pCenterBar->GetPreferredSize(&sCenter))
		{
			pCenterBar->SetActualBound(sLeft.cx, 0, rcClient.Width() - sLeft.cx - sCenter.cx, sCenter.cy);
		}		
	}
}

};